#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

extern int ADXbars = 14;
extern int CountBars = 350;
double gda_84[];
double gda_88[];

int init() {
   IndicatorBuffers(2);
   SetIndexStyle(0, DRAW_LINE, STYLE_SOLID, 1);
   SetIndexStyle(1, DRAW_LINE, STYLE_SOLID, 1);
   SetIndexBuffer(0, gda_84);
   SetIndexBuffer(1, gda_88);
   return (0);
}

int start() {
   if (CountBars >= Bars) CountBars = Bars;
   SetIndexDrawBegin(0, Bars - CountBars);
   SetIndexDrawBegin(1, Bars - CountBars);
   int li_8 = IndicatorCounted();
   if (li_8 < 0) return (-1);
   if (li_8 < 1) {
      for (int li_0 = 1; li_0 <= CountBars; li_0++) gda_84[CountBars - li_0] = 0.0;
      for (li_0 = 1; li_0 <= CountBars; li_0++) gda_88[CountBars - li_0] = 0.0;
   }
   for (int li_4 = CountBars; li_4 >= 0; li_4--) {
      gda_84[li_4] = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_PLUSDI, li_4);
      gda_88[li_4] = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_MINUSDI, li_4);
   }
   return (0);
}